This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 102952 - up2date installed wrong arch rpm
up2date installed wrong arch rpm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 97942
  Show dependency treegraph
 
Reported: 2003-08-22 22:05 EDT by djh
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: oldold
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 18:02:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description djh 2003-08-22 22:05:55 EDT
Description of problem:
On an Athlon XP system, the latest up2date installed an i686 kernel RPM.

Version-Release number of selected component (if applicable):
up2date-3.9.12-1

$ rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" kernel
kernel-2.4.21-1.1931.2.349.2.2.ent.athlon
kernel-2.4.21-1.1931.2.393.ent.athlon
kernel-2.4.21-1.1931.2.399.ent.i686

It's the only time I've used up2date to install a new kernel for Taroon.
Comment 1 Adrian Likins 2003-08-26 15:14:08 EDT
it installed an athlon kernel and an i686 kernel?
(or was the i686 by up2date and the athlong by hand?)



Comment 2 djh 2003-08-26 22:02:32 EDT
The first athlon RPM was installed by anaconda.  I manually installed the second
athlon RPM so I could boot into beta-1 (bug #101481).  Up2date then installed
the i686 kernel.

With the latest round of updates, up2date is displaying the i686 kernel twice. 
I don't remember if it was doing this previously or not.
Comment 3 Matt Jamison 2003-09-05 13:42:46 EDT
it pulls down the athlon kernel now in the latest build 3.9.24

Note You need to log in before you can comment on or make changes to this bug.